ubuntu-bug sound bug reporting fails without pulse audio

Bug #733112 reported by Geoff Crompton on 2011-03-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apport-symptoms (Ubuntu)
Wishlist
David Henningsson

Bug Description

Binary package hint: apport

If I run ubuntu-bug and choose the 'Sound/audio related problems' option I see a popup saying

 This troubleshooter currently only works for the Ubuntu flavours that use PulseAudio. Sorry for the inconvenience.

I'm using an (as of today) up to date 11.04 release, that was upgraded from a 10.10 mythbuntu install. Even though I don't have pulse audio installed, I would expect the application to fail more gracefully by falling back to a generic bug reporting mode.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: apport 1.19-0ubuntu3
ProcVersionSignature: Ubuntu 2.6.38-6.34-generic 2.6.38-rc7
Uname: Linux 2.6.38-6-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
CrashReports:
 0:1000:1000:26702140:2011-03-10 18:38:18.751140174 +1100:2011-03-10 18:37:23.951894139 +1100:/var/crash/_usr_bin_mythfrontend.real.1000.crash
 600:1000:1000:50240:2011-03-11 18:33:38.449081055 +1100:2011-03-11 18:33:38.429082105 +1100:/var/crash/_usr_bin_update-manager.1000.crash
Date: Fri Mar 11 18:47:41 2011
InstallationMedia: Mythbuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_AU:en
 LANG=en_AU.utf8
 SHELL=/bin/bash
SourcePackage: apport
UpgradeStatus: Upgraded to natty on 2011-03-09 (1 days ago)

Geoff Crompton (geoff-cromp) wrote :
Philip Muškovac (yofel) wrote :

This would be a bug in the symptom script.

affects: apport (Ubuntu) → apport-symptoms (Ubuntu)
Martin Pitt (pitti) wrote :

David, would you mind having a look?

Changed in apport-symptoms (Ubuntu):
importance: Undecided → Wishlist
Changed in apport-symptoms (Ubuntu):
status: New → In Progress
assignee: nobody → David Henningsson (diwic)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport-symptoms - 0.12

---------------
apport-symptoms (0.12) natty; urgency=low

  [ David Henningson ]
  * audio.py:
    - Audio: fix crash when selecting "Internal Speaker"
    - Fall back to ALSA if PulseAudio is not installed (LP: #733112)
    - Rename Sound_symptom to Symptom_type for cosmetic reasons.
 -- Martin Pitt <email address hidden> Wed, 23 Mar 2011 16:52:09 +0100

Changed in apport-symptoms (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers